* {
    box-sizing: border-box;
}
body {
    margin: 0;
    background: #F3E9E1;
    font-family: "Pixelify Sans", sans-serif;
    user-select: none;
    background-image: url("../a7d369b7c8b4ecc0f0ffe790f233cbe58b7154c0.jpg");
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
}
html {
    scroll-behavior: smooth;
}
.scroll-top {
    position: fixed;
    top: 50px;
    left: 50%;
    transform: translateX(-50%);
    width: 60px;
    height: 60px;
    background-color: #84b851;
    color: #F3E9E1;
    font-size: 36px;
    text-decoration: none;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 30%;
    z-index: 999;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.5s ease, transform 0.5s ease;
}
.scroll-top.show {
    opacity: 1;
    pointer-events: auto;
    transform: translate(-50%, 0);
}
.wrapper {
    max-width: 900px;
    margin: auto;
    padding: 10px;
}
.browser {
    background: #4f55b4;
    border-radius: 15px;
    padding: 10px;
}
.tabs {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 15px;
    justify-content: center;
    border: 6px solid #4f55b4;
}
.tabs a {
    text-decoration: none;
}
.tab {
    background: #ce6a78;
    padding: 5px 12px;
    border-radius: 10px;
    font-size: 18px;
    color: #F3E9E1;
    transition: all 0.3s ease;
}
.tab:hover {
    transform: translateY(-2px);
    cursor: pointer;
}
.tab.active {
    background: #84b851;
    font-weight: 700;
}
.bar {
    display: flex;
    gap: 10px;
    margin-top: 8px;
    align-items: center;
}
.nav i {
    color: #F3E9E1;
    margin-left: auto;
    padding: 3px 5px;
    font-size: 18px;
}
.url {
    min-width: 0;
    flex: 1;
    background: #F3E9E1;
    padding: 5px;
    border-radius: 10px;
    font-size: 16px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.lang {
    display: flex;
    gap: 6px;
}
.lang-btn {
    background: #F3E9E1;
    border: none;
    padding: 5px 12px;
    border-radius: 10px;
    font-size: 16px;
    cursor: pointer;
    font-family: "Pixelify Sans", sans-serif;
}
.lang-btn:hover {
    background: #e0d4c9;
    transform: translateY(-2px);
    transition: all 0.3s ease;
}
.lang-btn.active {
    background: #84b851;
    color: #F3E9E1;
    font-weight: 700;
}
.card {
    background: #d8cfca;
    border-radius: 30px;
    padding: 20px;
    margin-top: 15px;
    position: relative;
}
.profile {
    border-top: 40px solid #4f55b4;
    border-right: 6px solid #4f55b4;
    border-bottom: 6px solid #4f55b4;
    border-left: 6px solid #4f55b4;
}
#card1::before {
    content: "🪅 GIF.exe";
    position: absolute;
    top: -37px;
    left: 10px;
    background: #4f55b4;
    color: #F3E9E1;
    padding: 6px 14px;
    border-top-left-radius: 100px;
    border-top-right-radius: 100px;
    font-size: 14px;
}
#card2::before {
    content: "🎨 Art.exe";
    position: absolute;
    top: -37px;
    left: 10px;
    background: #4f55b4;
    color: #F3E9E1;
    padding: 6px 14px;
    border-top-left-radius: 100px;
    border-top-right-radius: 100px;
    font-size: 14px;
}
#card3::before {
    content: "🧊 Magical_Voxel.exe";
    position: absolute;
    top: -37px;
    left: 10px;
    background: #4f55b4;
    color: #F3E9E1;
    padding: 6px 14px;
    border-top-left-radius: 100px;
    border-top-right-radius: 100px;
    font-size: 14px;
}
#card4::before {
    content: "👕 T-Shirt.exe";
    position: absolute;
    top: -37px;
    left: 10px;
    background: #4f55b4;
    color: #F3E9E1;
    padding: 6px 14px;
    border-top-left-radius: 100px;
    border-top-right-radius: 100px;
    font-size: 14px;
}
.profile .inner {
    border-radius: 20px;
    background-color: #F3E9E1;
    background-image:
    linear-gradient(rgba(79, 85, 180, 0.15) 1px, transparent 1px),
    linear-gradient(90deg, rgba(79, 85, 180, 0.15) 1px, transparent 1px);
    background-size: 28px 28px;
    color: #4f55b4;
}
.gallery {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    padding: 40px;
    justify-items: center;
}
#card3 .gallery,
#card4 .gallery {
    grid-template-columns: repeat(2, 1fr);
    justify-content: center;
    max-width: 828px;
    margin: 0 auto;
}
.photo {
    width: 100%;
    border-radius: 20px;
    border-top: 8px solid #4f55b4;
    border-right: 8px solid #4f55b4;
    border-bottom: 8px solid #4f55b4;
    border-left: 8px solid #4f55b4;
    background-color: #4f55b4;
    transition: transform 0.3s ease;
    aspect-ratio: 1 / 1;
}
.photo img {
    width: 100%;
    height: 100%;
    display: block;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px ;
    object-fit: cover;
    display: block;
    border-radius: 15px;
}
.photo:hover {
    transform: translateY(-5px) scale(1.02);
}
footer {
    text-align: center;
    margin-top: 15px;
    background: #84b851;
    padding: 10px;
    border-radius: 20px;
    font-size: 12px;
}
@media (max-width: 800px) {
    .profile {
        grid-template-columns: 1fr;
    }
    .gallery {
        grid-template-columns: repeat(2, 1fr);
        gap: 15px;
        padding: 20px;
        justify-items: center;
    }
    #card3 .gallery,
    #card4 .gallery {
        grid-template-columns: repeat(2, 1fr);
        justify-content: center;
        justify-items: center;
        max-width: 100%;
    }
    .photo {
        width: 100%;
        max-width: 220px;
    }
}